SystemOrganization addCategory: #'Pier-Filing'!

PRVisitor subclass: #PFExporter
	instanceVariableNames: 'path value'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Filing'!

!PFExporter class methodsFor: 'as yet unclassified' stamp: 'tg 11/3/2009 00:37'!
exportStructure: aStructure to: aFolderPath
	| newName newPath stream |
	newName := aStructure name, '.', aStructure class name.
	(FileDirectory on: aFolderPath) createDirectory: newName.
	newPath := aFolderPath, FileDirectory slash, newName.
	aStructure enumerator do: [:each |
		self exportStructure: each to: newPath ].
	aStructure accept: (self new path: newPath)! !

!PFExporter methodsFor: 'visiting' stamp: 'tg 11/3/2009 00:47'!
exportProperty: aProperty of: aStructure
	| stream |
	stream := (FileDirectory on: self path) forceNewFileNamed: aProperty.
	value := (aStructure perform: aProperty asSymbol).
	value ifNotNil: [
		stream nextPutAll: value asString ].
	stream close! !

!PFExporter methodsFor: 'accessing' stamp: 'tg 11/3/2009 00:35'!
path
	^ path! !

!PFExporter methodsFor: 'accessing' stamp: 'tg 11/3/2009 00:35'!
path: anObject
	path := anObject! !

!PFExporter methodsFor: 'visiting' stamp: 'tg 11/3/2009 00:42'!
visitBlog: aStructure
	self exportProperty: 'contents' of: aStructure.
	self exportProperty: 'tags' of: aStructure.
	self exportProperty: 'copyright' of: aStructure.
	self exportProperty: 'language' of: aStructure.! !

!PFExporter methodsFor: 'visiting' stamp: 'tg 11/3/2009 00:41'!
visitCase: aStructure
	self exportProperty: 'contents' of: aStructure.
	self exportProperty: 'tags' of: aStructure.! !

!PFExporter methodsFor: 'visiting' stamp: 'tg 11/3/2009 00:42'!
visitPost: aStructure
	self exportProperty: 'contents' of: aStructure.
	self exportProperty: 'tags' of: aStructure.
	self exportProperty: 'author' of: aStructure.
	self exportProperty: 'publication' of: aStructure.! !
